
package com.tmerclub.cloud.product.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serial;
import java.io.Serializable;


/**
 * 出入库商品项
 *
 * @author lhd
 * @date 2022-06-22 16:57:27
 */
public class StockBillLogItem extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 出入库商品项id
     */
    private Long stockBillLogItemId;

    /**
     * 出入库明细id
     */
    private Long stockBillLogId;

    /**
     * 实际出入库数量
     */
    private Integer stockCount;

    /**
     * 商品库存剩余量
     */
    private Integer afterStock;

    /**
     * 成本单价
     */
    private Long unitPrice;

    /**
     * 商品id
     */
    private Long spuId;

    /**
     * skuId
     */
    private Long skuId;

    /**
     * 备注
     */
    private String remark;

    public Long getStockBillLogItemId() {
        return stockBillLogItemId;
    }

    public void setStockBillLogItemId(Long stockBillLogItemId) {
        this.stockBillLogItemId = stockBillLogItemId;
    }

    public Long getStockBillLogId() {
        return stockBillLogId;
    }

    public void setStockBillLogId(Long stockBillLogId) {
        this.stockBillLogId = stockBillLogId;
    }

    public Integer getStockCount() {
        return stockCount;
    }

    public void setStockCount(Integer stockCount) {
        this.stockCount = stockCount;
    }

    public Integer getAfterStock() {
        return afterStock;
    }

    public void setAfterStock(Integer afterStock) {
        this.afterStock = afterStock;
    }

    public Long getUnitPrice() {
        return unitPrice;
    }

    public void setUnitPrice(Long unitPrice) {
        this.unitPrice = unitPrice;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Long getSkuId() {
        return skuId;
    }

    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "StockBillLogItem{" +
                "stockBillLogItemId=" + stockBillLogItemId +
                ",stockBillLogId=" + stockBillLogId +
                ",stockCount=" + stockCount +
                ",afterStock=" + afterStock +
                ",unitPrice=" + unitPrice +
                ",spuId=" + spuId +
                ",skuId=" + skuId +
                ",remark=" + remark +
                '}';
    }
}
